Get a call transcript
get /v1/calls/{call_id}/transcript
Returns the enhanced transcript when available, otherwise the original transcript. An unavailable transcript is represented by a successful response with available set to false and its current processing status.
Returns a single transcript object.
Authorization
Section titled “Authorization”Requires the calls.read and transcriptions.read scopes together.
Path parameters
Section titled “Path parameters”| Name | Type | Required | Description |
|---|---|---|---|
call_id | string | Yes | — |
Example request
Section titled “Example request”curl "https://api.salesbud.com.br/v1/calls/call_01JEXAMPLE/transcript" \ -H "Authorization: Bearer $SALESBUD_ACCESS_TOKEN"Example response
Section titled “Example response”{ "data": { "object": "transcript", "meeting_id": "call_ExampleCall01", "available": false, "status": "processing", "variant": null, "utterances": [], "created_at": null, "updated_at": null }, "request_id": "req_ExampleRequestId01"}Responses
Section titled “Responses”| Status | Description |
|---|---|
200 | Company-scoped call transcript. |
401 | Missing or invalid credentials. |
403 | The token does not contain the required scope. |
404 | Resource not found in the authenticated company. |
429 | Client rate limit exceeded. |
503 | A required audit or rate-limit dependency is unavailable. |